Skip to main content
GET
Get tracked operation

Authorizations

x-api-key
string
header
required

API key for authentication. Obtain from your Pods dashboard.

Path Parameters

id
string
required

ID

Example:

"65f1a2b3c4d5e6f789012345"

Response

Tracked operation retrieved successfully

Formatted tracking detail returned by GET /actions/{id}

id
string
required
Example:

"65f1a2b3c4d5e6f789012345"

type
string
required
Example:

"CROSSCHAIN_INVESTMENT_DEPOSIT"

status
string
required
Example:

"PENDING"

strategyId
string
Example:

"65a1b2c3d4e5f6a7b8c9d0e1"

strategySlug
string
Example:

"aave-usdc-polygon"

originAddress
string | null
Example:

"0xb794F5eA0ba39494cE839613fffBA74279579268"

receiverAddress
string | null
Example:

"0xb794F5eA0ba39494cE839613fffBA74279579268"

amounts
any | null

Formatted asset amounts for the tracked operation

transactions
null[]

Formatted transaction history for the tracked operation

fees
any | null

Fee context for the tracked operation, when available

underlyingAssetFeeValue
string

Underlying-asset denominated fee value

Example:

"0"

initialDate
string<date-time>

Timestamp of the first action event

Example:

"2026-05-19T14:30:00.000Z"

createdAt
string<date-time>
Example:

"2026-05-19T14:30:00.000Z"

finishedAt
string<date-time> | null